#!/usr/bin/python3
# -- coding: UTF-8 --

import dbus
from pydbus import SystemBus
import gi
gi.require_version('Gtk', '3.0')
from gi.repository import GLib, Gtk, Gio

from kysdk_security_adaptor_bluetooth import *
from kysdk_security_adaptor_wifi import *
from kysdk_security_adaptor_usb import *
from kysdk_security_adaptor_sound import *

BUS_NAME = "com.kylin.mdm"

if __name__ == '__main__':
    loop = GLib.MainLoop()
    bus = dbus.SystemBus()
    bus.request_name(BUS_NAME)

    bt_bus = BluetoothControl()
    wifi_bus = WifiControl()
    usb_bus = UsbControl()
    Sound_bus = SoundControl()
    
    print("bus request_name ", BUS_NAME)
    loop.run()